Subject: Re: [P2PSIP] P2PSIP ID and physical location

From: "Wei Gengyu" <[email-masked]>
Date: Fri, 12 Dec 2008 09:37:25 +0800

Hi, wangjun,

There have been some research reports using domain name as Node ID to localize the traffice. 

Using Domain name need to tackle two problems: 
1. some hosts do not have assigned domain name.
2. computers in the same enterprise or compus network have different domain names.

By the way, using IP address as part of Node ID was mentiong in this mail list several month ago
when discussing the relation of HIP and P2PSIP.

Regards,

Gengyu
  ----- Original Message ----- 
  From: [email-masked] 
  To: Song Haibin 
  Cc: 'P2PSIP WG' ; [email-masked] ; 'Wei Gengyu' 
  Sent: Tuesday, December 09, 2008 9:13 AM
  Subject: 答复: Re: [P2PSIP] P2PSIP ID and physical location

  As for the topology optimization, I suggest following solution: 
  1)Assigning a domain ID for every node, which is generated by topology info or host identifier at p2psip enrollment server. 
  2)Domain ID is used only for topology optimization, not change the normal routing behaviors. 
  3)If a terminal is active while changing IP address, the domain ID can be hold until the terminal entering the idle mode 

        Song Haibin <[email-masked]> 
        发件人:  [email-masked] 
        2008-12-08 10:18 
       收件人 'Wei Gengyu' <[email-masked]>  
              抄送 'P2PSIP WG' <[email-masked]>  
              主题 Re: [P2PSIP] P2PSIP ID and physical location 

  Gengyu,

  I am very clear of what you said, even years ago. But I don't mean node id
  must be generated by IP address here. I think it could be generated by
  referring to the network topology/policy, by taking the topology/policy info
  that ALTO server provided into account.

  Best Regards,
  Haibin
  Email: [email-masked]
  Skype: alexsonghw

  >-----Original Message-----
  >From: Wei Gengyu [mailto:[email-masked]]
  >Sent: Friday, December 05, 2008 1:15 PM
  >To: songhaibin 64081
  >Cc: Bruce Davie; P2PSIP WG
  >Subject: Re: [P2PSIP] P2PSIP ID and physical location
  >
  >
  >
  >The following is personal answer to the quesiotn "It is not a good choice
  to
  >have Node ID contain network info."
  >
  >1) Node ID is an identifier.
  >   Node ID is used to identify an entity at application layer.
  >   The Node ID should not changed during communications.
  >
  >2) IP address may change.
  >   Suppose the Node ID contains an IP address, the IP address may change
  >during commincation.
  >   e.g. a moving node (mobile terminal).
  >
  >3) Cross-layer generation process.
  >   If Node ID is defined as an identifier of application layer,
  >   the generation process is the duty of application layer.
  >   If Node ID contains IP address, the generation process will be an
  >cross-layer work.
  >
  >4) Binding Node ID and IP address
  >   Binding a Node ID and an IP address is easier than cross-layer work.
  >   And the concept or idea of Binding is not new.
  >   But it is required to define how to bind a Node ID with an network info.
  >
  >Gengyu
  >
  >----- Original Message -----
  >From: "songhaibin 64081" <[email-masked]>
  >To: "Wei Gengyu" <[email-masked]>
  >Cc: "Bruce Davie" <[email-masked]>; "P2PSIP WG" <[email-masked]>
  >Sent: Friday, December 05, 2008 10:51 AM
  >Subject: Re: [P2PSIP] P2PSIP ID and physical location
  >
  >
  >>
  >>> It is not a good choice to have Node ID contain network info.
  >>
  >> Why not?
  >>
  >> -Haibin
  >>
  >>>
  >>> Regards,
  >>>
  >>> Gengyu
  >>>
  >>> ----- Original Message -----
  >>> From: "Bruce Davie" <[email-masked]>
  >>> To: "songhaibin 64081" <[email-masked]>
  >>> Cc: "P2PSIP WG" <[email-masked]>
  >>> Sent: Wednesday, December 03, 2008 7:30 AM
  >>> Subject: Re: [P2PSIP] P2PSIP ID and physical location
  >>>
  >>>
  >>> > Well, I'm one of those " Alto guys ". Alto will answer queries
  >>> about
  >>> > proximity, but the question of randomness of node IDs is well
  >>> outside
  >>> > Alto's scope. This working group will have to decide whether, as
  >>> I
  >>> > suspect, randomness of node IDs is an important property to
  >>> preserve.>
  >>> > Bruce
  >>> > On Dec 2, 2008, at 11:13 AM, songhaibin 64081 wrote:
  >>> >
  >>> >> Bruce,
  >>> >>
  >>> >> I agree with you that pastry has proximity property, and can
  >>> achieve
  >>> >> efficent routing. But for leafset, peer must choose leafset
  >>> nodes  that
  >>> >> have closest IDs with it. It doesn't have a list of candidate
  >>> peers to
  >>> >> choose from as the routing table entries do. SO, by  randomly
  >>> assigned
  >>> >> IDs, it will make the resource records  mainternance between
  >>> leafset
  >>> >> nodes(when join or leave, or replicate  happens often) not
  >>> efficient
  >>> >> because they waste the network hops.
  >>> >>
  >>> >> If node IDs have network proximity property, it will make the
  >>> routing
  >>> >> message which gets closer and closer to the destination
  >>> ID(e.g. Chord or
  >>> >> Pastry), also gets closer and closer to the  destination node
  >>> in the
  >>> >> network topology. It is a nature effect.
  >>> >>
  >>> >> We could discuss with the ALTO guys and see what in their mind.
  >>> >>
  >>> >> I think we should allow different options for node id
  >>> assignment
  >>> >> according to different scenarios.
  >>> >>
  >>> >> my two cents
  >>> >> Song Haibin
  >>> >>
  >>> >>
  >>> >> ----- Original Message -----
  >>> >> From: Bruce Davie <[email-masked]>
  >>> >> Date: Tuesday, December 2, 2008 11:39 pm
  >>> >> Subject: Re: [P2PSIP] P2PSIP ID and physical location
  >>> >> To: songhaibin 64081 <[email-masked]>
  >>> >> Cc: P2PSIP WG <[email-masked]>
  >>> >>
  >>> >>> Song,
  >>> >>> it is certainly true that proximity is often used in DHTs, but
  >>> >>> not, as
  >>> >>> far as I know, for the assignment of node IDs. It is used, for
  >>> >>> example, to select among many possible candidate nodes for
  >>> >>> inclusion
  >>> >>> in the routing table. But, as others have already said, the
  >>> >>> randomness
  >>> >>> of note IDs is important for the security and robustness of a DHT.
  >>> >>> You
  >>> >>> can have efficient routing without giving up the randomness of
  >>> >>> note ID
  >>> >>> assignment. See, for example, Pastry.
  >>> >>> http://www.freepastry.org/pubs.htm
  >>> >>> Bruce Davie
  >>> >>> On Dec 2, 2008, at 10:11 AM, songhaibin 64081 wrote:
  >>> >>>
  >>> >>>> Hi Ekr,
  >>> >>>>
  >>> >>>>>
  >>> >>>>> It's not clear to me why it's desirable for nodes which are
  >>> >>>>> geographically close to be close in the overlay topology.y
  >>> >>>>>
  >>> >>>>> -Ekr
  >>> >>>>
  >>> >>>> P2P networks are teemed with dynamic nodes. When a peer leaves
  >>> >>> the
  >>> >>>> overlay, it will transfer the stored resource records to a node
  >>> >>>> which has a close node ID. From the perspective of an ISP's
  >>> >>> network,
  >>> >>>> making P2PSIP node IDs with proximity property will reduce the
  >>> >>>> network hops when data transfer happens.
  >>> >>>>
  >>> >>>> Besides that, I think overlay maintenance messages will also
  >>> >>> take
  >>> >>>> less network hops if most neighbors have close node IDs. If node
  >>> >>> ID
  >>> >>>> has proximity property, it will help for the peer selection when
  >>> >>>
  >>> >>>> there are a list of peers providing the same resource.
  >>> >>>>
  >>> >>>> I think we can find some papers describing the proximity for
  >>> >>> DHTs. I
  >>> >>>> agree with Bruce that there are many considerations when
  >>> >>> assigning
  >>> >>>> node id.
  >>> >>>>
  >>> >>>> Best Regards,
  >>> >>>> Song Haibin
  >>> >>>>
  >>> >>>>
  >>> >>>>>
  >>> >>>>> At Tue, 02 Dec 2008 14:26:56 +0100,
  >>> >>>>> Xianghan Zheng wrote:
  >>> >>>>>>
  >>> >>>>>> [1  <text/plain; ISO-8859-1 (7bit)>]
  >>> >>>>>> Hello,
  >>> >>>>>> Is someone considering the mapping between the P2PSIP ID and
  >>> >>>>> physical
  >>> >>>>>> location. I think it is necessary to think about it
  >>> although it
  >>> >>>>> is not
  >>> >>>>>> trivial and might cause some security problem.
  >>> >>>>>>
  >>> >>>>>> In the draft
  >>> >>>>>> "http://www.p2psip.org/drafts/draft-licanhuang-p2psip-
  >>> >>>>> subsetresourcelocation-00.txt",
  >>> >>>>>> However, the peer ID is formed as domain name. Is that conflict
  >>> >>>>> with the
  >>> >>>>>> concept that the ID should 128/160 bit integer?  Is it possible
  >>> >>>>> that
  >>> >>>>>> each peer in one domain assigned  similar identity? Any
  >>> >>>>> suggestions?
  >>> >>>>>> Thank you.
  >>> >>>>>>
  >>> >>>>>> Best Regards,
  >>> >>>>>> Xianghan Zheng
  >>> >>>>>>
  >>> >>>>>>
  >>> >>>>>>
  >>> >>>>>> [2 xianghan_zheng.vcf <text/x-vcard; utf-8 (base64)>]
  >>> >>>>>> begin:vcard
  >>> >>>>>> fn:Xianghan Zheng
  >>> >>>>>> n:Zheng;Xianghan
  >>> >>>>>> org:;Information and Communication Technology
  >>> >>>>>> adr:;;;Grimstad;;4879;Grimstad
  >>> >>>>>> title:PHD Studnet
  >>> >>>>>> tel;work:+47 3725 3441
  >>> >>>>>> tel;cell:+47 91664693
  >>> >>>>>> version:2.1
  >>> >>>>>> end:vcard
  >>> >>>>>>
  >>> >>>>>> [3  <text/plain; us-ascii (7bit)>]
  >>> >>>>>> _______________________________________________
  >>> >>>>>> P2PSIP mailing list
  >>> >>>>>> [email-masked]
  >>> >>>>>> https://www.ietf.org/mailman/listinfo/p2psip
  >>> >>>>> _______________________________________________
  >>> >>>>> P2PSIP mailing list
  >>> >>>>> [email-masked]
  >>> >>>>> https://www.ietf.org/mailman/listinfo/p2psip
  >>> >>>>>
  >>> >>>> _______________________________________________
  >>> >>>> P2PSIP mailing list
  >>> >>>> P2PSIP@ is well outside Alto'ietf.org/mailman/listinfo/p2psip
  >>> >>>
  >>> >>>
  >>> >
  >>> > _______________________________________________
  >>> > P2PSIP mailing list
  >>> > [email-masked]
  >>> > https://www.ietf.org/mailman/listinfo/p2psip
  >>> >
  >>>
  >>>
  >>

  _______________________________________________
  P2PSIP mailing list
  [email-masked]
  https://www.ietf.org/mailman/listinfo/p2psip

--------------------------------------------------------
ZTE Information Security Notice: The information contained in this mail is solely property of the sender's organization. This mail communication is confidential. Recipients named above are obligated to maintain secrecy and are not permitted to disclose the contents of this communication to others.
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. If you have received this email in error please notify the originator of the message. Any views expressed in this message are those of the individual sender.
This message has been scanned for viruses and Spam by ZTE Anti-Spam system.
_______________________________________________
P2PSIP mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/p2psip